Jump to content

M1 Compatible Audio Plugins


David Nahmani

Recommended Posts

Metric Halo Production Bundle

 

All of the plug-ins are now Universal Binaries on macOS and natively support both Intel and Apple Silicon

 

In addition, we have updated the licensing policy for our plug-ins to allow two activations per license.

 

I don’t have an M1 but this is very cool that they added an additional activation.

Link to comment
Share on other sites

I've just come around to updating my Audio Damage plugins and noticed M1 Native compatibility for both of them (RoughRider 3 and Dub Station 2). Unfortunately the compatibility is only stated in the individual changelogs found in the product downloads. the In their original statement on M1 compatibility they stated they were hoping to have all of their plugins M1 Native by last November, so it's very possibly Audio Damage are now fully M1 Native.
Link to comment
Share on other sites

XLN Audio Addictive Drums and Addictive Keys are now Universal Binary! Whoo! Hooooooo! :D

 

As usual with me, can't find the product blurb. You'd think these developers would be shouting it from the rooftops right now.

 

Here's the link.

M1 and Monterey support (November 16th, 2021)

As an update to this. The current installer they have still requires Rosetta 2 to be installed.

What I did was updated my Intel MacMini and sure enough, it saw there was a new version of the XLN Online Installer to be updated in my Applications folder on my Intel MacMini and it updated it.

Turns out, it's a Universal App, so I copied that to my Applications folder on my M1 MacMini and I was able to install Additive Drums 2 without Rosetta 2 on my M1 MacMini.

So Additive Drums 2 is loaded and working as a Native M1 plug-in. :mrgreen:

Link to comment
Share on other sites

I just loaded the installer that was already on my M1 mini, and it automatically updated to the new one allowing me to install the Universal Binaries. Ezy peazy.

Great you found the announcement. I told one of the guys there it should be more prominently displayed.

I'm just annoyed because I spent €70 on EZDrummer 2 last week. I'll try to sell it at KVR, I guess.

Link to comment
Share on other sites

I just loaded the installer that was already on my M1 mini, and it automatically updated to the new one allowing me to install the Universal Binaries. Ezy peazy.

Great you found the announcement. I told one of the guys there it should be more prominently displayed.

I'm just annoyed because I spent €70 on EZDrummer 2 last week. I'll try to sell it at KVR, I guess.

Kudos to XLN Audio support.

I put in a ticket regarding the Installer not being Native M1, I got a response that they're going to update the website shortly but they gave me a private link to the Native M1 Installer.

I tested it and it works great.

Link to comment
Share on other sites

Has anyone tried that free Black Friday plugin from Waves? It's called Lo-Fi Spaces. It's v13 so it should work, all my other Waves stuff does now, but it doesn't show up at all. Seems churlish to complain about a free plugin but… 

 

It's not bad actually. I assume its the reverb/delay component of Retro-Fi which is a pretty cool life plugin.

 

It should be working for you, unless maybe your DAW isn't compatible, try this link maybe??

https://www.waves.com/support/tech-specs/supported-hosts

Link to comment
Share on other sites

  • 4 weeks later...

I tried to install the SSL suite and they locked up Logic every time when validating, even in Rosetta. Most recent MacOS and Logic. Even the "Gobbler" app they use to sell them locked up. Gobbler? really?

 

Response from SSL: We don't have a timeframe (read: please go away)

Link to comment
Share on other sites

  • 2 weeks later...

I'm having trouble with scheps omnichannel by waves, even though it's v13. Official support reply: they know about the slow start up times and they're working on it. Don't know if other waves v13 plugins also have problems..

 

Also my Native Instruments software (Komplete 13 Bundle) stops Pro Logic from time to time with an error, mostly when I open a new instrument.

 

And lastly I found out that my maschine mikro mkII can prevent projects from opening for any reason. When I disconnect it, the projects can be opened again. Sometimes I have to reconnect it again to be able to open the project. Really strange behavior..

Link to comment
Share on other sites

I'm having trouble with scheps omnichannel by waves, even though it's v13. Official support reply: they know about the slow start up times and they're working on it. Don't know if other waves v13 plugins also have problems..

 

Also my Native Instruments software (Komplete 13 Bundle) stops Pro Logic from time to time with an error, mostly when I open a new instrument.

 

And lastly I found out that my maschine mikro mkII can prevent projects from opening for any reason. When I disconnect it, the projects can be opened again. Sometimes I have to reconnect it again to be able to open the project. Really strange behavior..

 

I recently came across a similar issue on another forum. It took me a while to find again for you, but try checking this link out...

https://forum.waves.com/t/solved-waves-plugins-very-slow-to-load

 

Actually, if you use Waves plugins thats not a bad site to join. It's their official forum.

Link to comment
Share on other sites

You may include it under Spitfire but BBC Orchestra just sent me an email saying they've just become M1 Compatible

 

It helps that the primary developers are composers that also use Logic on Mac. :wink:

 

Maybe, but Paul and Christian are both using mammoth Mac Pro systems, which are very definitely Intel machines, so M1-support doesn't help them personally that much... :)

Link to comment
Share on other sites

PA have received a beta installer for M1-native plugins from their developers, they're doing a little bit of testing still, but hopefully should not be long for almost the entire Plugin Alliance line to be M1-native.
Link to comment
Share on other sites

Kontakt M1 native update is out!

 

Yesssssss! The performance was already pretty good with an unsupported OS and M1 Max for me, so now with this being Monterey compatible and M1 native, should be sweet! I know plugins like u-he diva was seeing almost 30-50% or more performance increases on M1 native, so if Kontakt is anywhere close to those numbers I'll be one happy customer! Thanks for the heads up as well :)

Link to comment
Share on other sites

I was using the 6.7 beta as well. I updated through native access the Kontakt plug in and it's native!

But how do I update the standalone which still has the purple beta sticker in the top left.. is there a way to get the standalone without it being a beta?

Link to comment
Share on other sites

Kontakt 6 is now native compatible, via Native Access. v. 6.7. :!: It's quite zippy. I'm impressed. I have the Soniccouture Hammersmith Pro, and it took about 15 seconds to fully load on my 4ghz Intel iMac. Takes about 2-3 seconds on this machine in native mode. Ethnic Voices and Instruments 5 also are very resource friendly.
Link to comment
Share on other sites

 

It helps that the primary developers are composers that also use Logic on Mac. :wink:

 

Maybe, but Paul and Christian are both using mammoth Mac Pro systems, which are very definitely Intel machines, so M1-support doesn't help them personally that much... :)

 

You make a valid point. Though, if they're going to make sure it's compatible with Monterey it makes sense to tackle the M1 as well.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...